cURL
curl --request GET \
--url https://api.pnplayer.com/v1/api/video/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnplayer.com/v1/api/video/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnplayer.com/v1/api/video/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoId": "<string>",
"title": "<string>",
"dateUploaded": "2023-11-07T05:31:56Z",
"encodeProgress": 123,
"status": 123,
"length": 123,
"storageSize": "<string>",
"hlsUrl": "<string>",
"preview": "<string>"
}{
"error": 123,
"message": "<string>"
}Video Management
Get Video
Get a video
GET
/
video
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of video to get
Response
Videos response
Unique identifier of the video
Title of the video
Upload date of the video
Encoding progress percentage
Current status code of the video
Length of the video (in seconds)
Storage size of the video
HLS streaming URL
Preview thumbnail URL
⌘I
